--AH:ScriptId=5269971f-81d1-4936-8115-2697c04bc3dd;3086

CREATE TABLE [PackageDeployments]
(
    [PackageDeployment_Id] INT IDENTITY(1,1) NOT NULL,
    [Feed_Id] INT NOT NULL,
    [Package_Name] NVARCHAR(200) NOT NULL,
    [Group_Name] NVARCHAR(200) NULL,
    [Version_Text] NVARCHAR(100) NOT NULL,
    
    [Application_Name] VARCHAR(255) NOT NULL,
    [Url_Text] NVARCHAR(255) NULL,
    [DeploymentTarget_Name] NVARCHAR(255) NULL,
    [Deployment_Date] DATETIME NOT NULL,
    [DeployedBy_User_Name] USERNAME NOT NULL,
    [Description_Text] NVARCHAR(MAX) NULL,

    CONSTRAINT [PK__PackageDeployments] PRIMARY KEY ([PackageDeployment_Id]),

    CONSTRAINT [FK__PackageDeployments__Feeds] 
               FOREIGN KEY ([Feed_Id]) REFERENCES [Feeds] ([Feed_Id])
               ON DELETE CASCADE
)

CREATE NONCLUSTERED INDEX [IX_PackageDeployments__PackageIdentifier] 
   ON [PackageDeployments] ([Feed_Id], [Package_Name], [Version_Text]) INCLUDE ([Group_Name])