IF OBJECT_ID('[Privileges_Extended]') IS NOT NULL DROP VIEW [Privileges_Extended]
GO

CREATE VIEW [Privileges_Extended]
AS

	SELECT P.[Privilege_Id],
		   P.[Principal_Name],
		   P.[PrincipalType_Code],
		   P.[PrivilegeType_Code],
		   P.[UserDirectory_Id],

		   R.[Role_Id],
		   R.[Role_Name],

		   F.[Feed_Id],
		   F.[Feed_Name],

		   FG.[FeedGroup_Id],
		   FG.[FeedGroup_Name]

	  FROM [Privileges] P
		   INNER JOIN [Roles] R
				   ON P.[Role_Id] = R.[Role_Id]
		   LEFT JOIN [Feeds] F
				  ON P.[Feed_Id] = F.[Feed_Id]
		   LEFT JOIN [FeedGroups] FG
		          ON P.[FeedGroup_Id] = FG.[FeedGroup_Id]
GO