EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'CondaPackages_SearchPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'CondaPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of the latest Conda packages in a feed that match the specified search criteria.'
GO

IF OBJECT_ID('[CondaPackages_SearchPackages]') IS NOT NULL DROP PROCEDURE [CondaPackages_SearchPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [CondaPackages_SearchPackages]
(
	@Feed_Id INT,
	@Query_Text NVARCHAR(MAX)
)
AS
BEGIN

SET NOCOUNT ON

	DECLARE @SearchQuery_Text NVARCHAR(MAX) = '%' + @Query_Text + '%'

	SELECT *
	  FROM [CondaPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Latest_Indicator] = 'Y'
	   AND ([Package_Name] LIKE @SearchQuery_Text
	     OR [Summary_Text] LIKE @SearchQuery_Text
		 OR [Description_Text] LIKE @SearchQuery_Text)

END
GO

GRANT EXECUTE ON [CondaPackages_SearchPackages] TO [ProGetUser_Role]
GO