EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_PullCached',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Marks an image and its layers as not cached.'
GO

IF OBJECT_ID('[DockerImages_PullCached]') IS NOT NULL DROP PROCEDURE [DockerImages_PullCached]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_PullCached]
(
	@DockerImage_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [DockerImages]
	   SET [Cached_Indicator] = 'N'
	 WHERE [DockerImage_Id] = @DockerImage_Id

	UPDATE DB
	   SET [Cached_Indicator] = 'N'
	  FROM [DockerBlobs] DB
	       INNER JOIN [DockerImageLayers] DIL
		           ON DIL.[DockerBlob_Id] = DB.[DockerBlob_Id]
	 WHERE DIL.[DockerImage_Id] = @DockerImage_Id

	UPDATE DB
	   SET [Cached_Indicator] = 'N'
	  FROM [DockerBlobs] DB
	       INNER JOIN [DockerImages] DI
		           ON DI.[ContainerConfigBlob_Id] = DB.[DockerBlob_Id]
	 WHERE DI.[DockerImage_Id] = @DockerImage_Id

END
GO

GRANT EXECUTE ON [DockerImages_PullCached] TO [ProGetUser_Role]
GO