EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_GetInstallInstructions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PackageInstallInstructions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all the custom package install instructions for a specific feed.',
	/* Remarks_Text            */ 'Built in package install instructions are stored within code, but can be hidden via the FeedConfig.'
GO

IF OBJECT_ID('[Packages_GetInstallInstructions]') IS NOT NULL DROP PROCEDURE [Packages_GetInstallInstructions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_GetInstallInstructions]
(
	@Feed_Id INT,
    @PackageInstallInstruction_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

    SELECT *
    FROM [PackageInstallInstructions]
    WHERE [Feed_Id] = @Feed_Id 
        AND (@PackageInstallInstruction_Id IS NULL OR [PackageInstallInstruction_Id] = @PackageInstallInstruction_Id)

END
GO

GRANT EXECUTE ON [Packages_GetInstallInstructions] TO [ProGetUser_Role]