EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_CopyPrivileges',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the list of privileges specifically assigned to a user or any specified groups.'
GO

IF OBJECT_ID('[Security_CopyPrivileges]') IS NOT NULL DROP PROCEDURE [Security_CopyPrivileges]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_CopyPrivileges]
(
	@FromUserDirectory_Id INT = NULL,
	@ToUserDirectory_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE FROM [Privileges]
	WHERE ((@ToUserDirectory_Id IS NULL AND [UserDirectory_Id] IS NULL) OR [UserDirectory_Id] = @ToUserDirectory_Id)

	INSERT INTO [Privileges] 
	(
		[Principal_Name]
		,[PrincipalType_Code]
		,[Role_Id]
		,[Feed_Id]
		,[PrivilegeType_Code]
		,[UserDirectory_Id]
		,[FeedGroup_Id]
	)
	SELECT [Principal_Name]
		,[PrincipalType_Code]
		,[Role_Id]
		,[Feed_Id]
		,[PrivilegeType_Code]
		,[UserDirectory_Id] = @ToUserDirectory_Id
		,[FeedGroup_Id]
	FROM [Privileges]
	WHERE ((@FromUserDirectory_Id IS NULL AND [UserDirectory_Id] IS NULL) OR [UserDirectory_Id] = @FromUserDirectory_Id)

END
GO

GRANT EXECUTE ON [Security_CopyPrivileges] TO [ProGetUser_Role]
GO
